#ifndef STARNET_H 
#define STARNET_H 
void  _near EnableLocalHost(void);
void  _near AccessUsingXdmcp(void);
void  _near AugmentSelf(int  family,void  *addr);
void  _near ResetHosts(char  *display);
int  AddHost(struct  _Client _near *client,unsigned char  family,unsigned short  length,void  *pAddr);
int  RemoveHost(struct  _Client _near *client,unsigned char  family,unsigned short  length,void  *pAddr);
int  GetHosts(void  * *data,int  *pnHosts,int  *pLen,unsigned char  *pEnabled);
int  _near InvalidHost(void  *saddr,int  len);
int  ChangeAccessControl(struct  _Client _near *client,int  fEnabled);
void  CreateWellKnownSockets(void);
void  ResetWellKnownSockets(void);
char  *ClientAuthorized(struct  _Client _near *client,unsigned short  proto_n,char  *auth_proto,unsigned short  string_n,char  *auth_string);
void  _near EstablishNewConnections(void);
int  CloseDownConnection(struct  _Client _near *client);
void  _near FlushData(unsigned long  mask);
void  OnlyListenToOneClient(struct  _Client _near *client);
void  ListenToAllClients(void);
unsigned long  _fastcall _near ClientNetAddr(struct  _Client _near *client);
void  start_network(void);
int  ReadRequestFromClient(struct  _Client _near *client);
int  InsertFakeRequest(struct  _Client _near *client,char  *data,int  count);
int  ResetCurrentRequest(struct  _Client _near *client);
int  _near FlushClient(struct  _osComm _near *oc,char  *extraBuf,int  extraCount);
void  FlushAllOutput(void);
void  FlushIfCriticalOutputPending(void);
void  SetCriticalOutputPending(void);
int  WriteToClient(struct  _Client _near *client,int  count,char  *buf);
void  _fastcall _near CloseDownFileDescriptor(struct  _osComm _near *oc);
void  _near ResetOsBuffers(void);
int  WaitForSomething(int  *pClientsReady);
int  XdmcpUseMsg(void);
int  XdmcpOptions(int  argc,char  * *argv,int  i);
void  _near XdmcpInit(void);
void  _near XdmcpReset(void);
void  XdmcpOpenDisplay(int  sock,unsigned long  addr);
void  XdmcpCloseDisplay(int  sock);
void  _near XdmcpBlockHandler(long  *wt);
void  _near XdmcpWakeupHandler(void);
int  XdmcpSelectHost(struct  sockaddr_in *host_sockaddr,struct  _ARRAY8 *AuthenticationName);
int  XdmcpAddHost(struct  sockaddr_in *from,struct  _ARRAY8 *AuthenticationName,struct  _ARRAY8 *hostname,struct  _ARRAY8 *status);
void  _fastcall _near XdmcpReceivePacket(int  fd);
int  XdmcpDeadSession(char  *reason);
#endif 
